using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.Skyscraper.IO
{
    public static class DirectoryInfoExtensions
    {
        public static void EnsureExists(this DirectoryInfo di)
        {
            if (di.Exists)
                return;
            di.Parent.EnsureExists();
            di.Create();
        }
    }
}
